/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "IEEE-1609-3-WSA"
 * 	found in "../Ieee1609Dot3Wsa.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_SrvAdvID_H_
#define	_SrvAdvID_H_


#include <asn_application.h>

/* Including external dependencies */
#include <NativeInteger.h>

#ifdef __cplusplus
extern "C" {
#endif

/* SrvAdvID */
typedef long	 SrvAdvID_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_SrvAdvID;
asn_struct_free_f SrvAdvID_free;
asn_struct_print_f SrvAdvID_print;
asn_constr_check_f SrvAdvID_constraint;
ber_type_decoder_f SrvAdvID_decode_ber;
der_type_encoder_f SrvAdvID_encode_der;
xer_type_decoder_f SrvAdvID_decode_xer;
xer_type_encoder_f SrvAdvID_encode_xer;
per_type_decoder_f SrvAdvID_decode_uper;
per_type_encoder_f SrvAdvID_encode_uper;

#ifdef __cplusplus
}
#endif

#endif	/* _SrvAdvID_H_ */
#include <asn_internal.h>
